%define texname musixtex

Name:      tex-%{texname}
Summary:   Sophisticated music typesetting
Group:     Applications/Publishing
Version:   0.114
Release:   7.rev4%{?dist}
URL:       http://www.mab.jpn.org/musictex/index_en.html
License:   GPLv2+
Source0:   http://tug.ctan.org/get/macros/musixtex/taupin/%{texname}-t113.zip
# There is no upstream source for version t114. They just provide a "patch":
Source1:   http://tug.ctan.org/get/macros/musixtex/taupin/%{texname}-patch-t114-rev4.zip
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
# For rpm's TeX macros:
BuildRequires: texlive-texmf
Requires:  tex(latex) texlive-texmf ctan-musixtex-fonts

%description
MusicTeX provides TeX extensions for music typesetting. It allows you to use
TeX to write polyphonic, orchestral or instrumental music. MusixTeX is growing
up from MusicTeX and has advantages both in set of macros and quality of
output. The package contains source files (macros, styles), fonts (mf, tfm) 
and the MusiXTeX+plain format.

%package doc
Summary:   Documentation for %{name}
Group:     Applications/Publishing
Requires:  %{name} = %{version}-%{release}

%description doc
MusicTeX provides TeX extensions for music typesetting. It allows you to use
TeX to write polyphonic, orchestral or instrumental music. MusixTeX is growing
up from MusicTeX and has advantages both in set of macros and quality of
output. The package contains the TeX documentation for MusixTeX.

%prep
%setup -q -c %{texname} -a 1
# Apply the t114 "patch":
mv -f musixdoc* doc/%{texname}/
mv -f musix*.tex tex/

# We don't need these files:
find . -name "*.bat" -exec rm {} \;

# We don't need these precompiled binaries either
# Note that the musixflx software that is inside this directoy 
# is packaged in texlive package, which this package depends on.
rm -fr system

%build
echo "Nothing to build."

%install
rm -rf %{buildroot}

# Define for convenience:
%define MUSIXTEXDIR     %{_texmf_main}/tex/generic/%{texname}
%define MUSIXDOCDIR     %{_texmf_main}/doc/generic/%{texname}
%define MUSIXMFDIR      %{_texmf_main}/fonts/source/public/%{texname}
%define MUSIXTFMDIR     %{_texmf_main}/fonts/tfm/public/%{texname}
%define TEXMFTYPE1DIR   %{_texmf_main}/fonts/type1/public
%define MUSIXDVIPDFMDIR %{_texmf_main}/fonts/map/dvipdfm/%{texname}
%define MUSIXDVIPSDIR   %{_texmf_main}/fonts/map/dvips/%{texname}

mkdir -p %{buildroot}/{%MUSIXTEXDIR,%MUSIXDOCDIR,%MUSIXMFDIR,%MUSIXTFMDIR,%TEXMFTYPE1DIR,%MUSIXDVIPDFMDIR,%MUSIXDVIPSDIR}

# The TeX files:
install -pm 644 tex/*.tex %{buildroot}/%MUSIXTEXDIR
install -pm 644 tex/*.sty %{buildroot}/%MUSIXTEXDIR

# TeX specific fonts and metrics:
install -pm 644 fonts/mf/* %{buildroot}/%MUSIXMFDIR
install -pm 644 fonts/tfm/* %{buildroot}/%MUSIXTFMDIR

# Link to the type 1 fonts provided by ctan-musixtex-fonts package:
ln -s  ../../../../fonts/ctan-musixtex/ %{buildroot}/%TEXMFTYPE1DIR/%{texname}

# Map files:
install -pm 644 dvipdfm/* %{buildroot}/%MUSIXDVIPDFMDIR
install -pm 644 dvips/* %{buildroot}/%MUSIXDVIPSDIR

# TeX documentation:
cp -a doc/* %{buildroot}/%MUSIXDOCDIR

%clean
rm -rf %{buildroot}

%post
/usr/bin/texhash
conffile="$(texconfig-sys conf | grep updmap.cfg)"
if [ "$1" = "1" ]; then
    updmap-sys --quiet --nohash --cnffile ${conffile} --enable MixedMap musix.map
fi

%postun
conffile="$(texconfig-sys conf | grep updmap.cfg)"
if [ "$1" = "0" ]; then
    updmap-sys --quiet --nohash --cnffile ${conffile} --disable musix.map
fi
/usr/bin/texhash

%post doc -p /usr/bin/texhash

%postun doc -p /usr/bin/texhash

%files
%defattr(-,root,root,-)
%doc copying readme*.txt
%MUSIXTEXDIR
%MUSIXDVIPDFMDIR
%MUSIXDVIPSDIR
%MUSIXMFDIR
%MUSIXTFMDIR
# Note that the following is just a symlink
%TEXMFTYPE1DIR/%{texname}

%files doc
%defattr(-,root,root,-)
%MUSIXDOCDIR

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.114-7.rev4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.114-6.rev4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 19 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.114-5.rev4
- New upstream bugfix release

* Thu Feb 05 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.114-4
- "Fix" the Requires of doc subpackage

* Tue Feb 03 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.114-3
- Switch the installation directories from regular variables to macros

* Fri Jan 30 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.114-2
- Use standard macros from /etc/rpm/macros.texlive
- Drop BR: kpsewhich
- %%files section is made more explicit
- Update updmap.cfg via updmap-sys in post&postun

* Wed Jan 21 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.114-1
- Initial Fedora build
